Bug 1573422 - First screen unlock attempt always fails
Summary: First screen unlock attempt always fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kscreenlocker
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 07:51 UTC by PHolder+RedHatBugzilla
Modified: 2019-05-28 19:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:59:05 UTC
Type: Bug


Attachments (Terms of Use)

Description PHolder+RedHatBugzilla 2018-05-01 07:51:01 UTC
Description of problem:
Running Fedora 28 beta in a VirtualBox virtual machine on a Windows 10 host.
When the screen lock comes up, or when a GUI prompt for password comes up for elevated permissions (like seeing system events in ABRT) the first attempt always fails unless I type backspace after the first character input.

If it matters, the first character in my password is an uppercase letter.

It's possible this is a VirtualBox specific issue, as I am using the newly included guest additions (a new feature in F28) and they are not fully functional as yet (for example I can't do file sharing or clipboard sharing.)

Version-Release number of selected component (if applicable):
Fedora 28 beta, but I have done "dnf update" every few days.

How reproducible:
Every time I am prompted to clear the screen lock or to elevate via the GUI.

Steps to Reproduce:
1. Allow enough time for the screen lock to come up
2. Type password correctly. (Starting with upper case if that matters)
3. Get told it is incorrect
4. Type same password again and it works.

Actual results:
1. Screen lock displays
2-3. Correct password is rejected.
4, Password is accepted.

Expected results:
The password would normally be accepted the first time (if typed correctly.)

Additional info:
I have Fedora 27 in a different virtual machine and it does not exhibit this issue.  It is definitely new with F28.

The workaround seems to be to type any letter in, then hit bs to clear it and then correctly type the password.

Comment 1 Ben Cotton 2019-05-02 19:17:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 21:53:25 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:59:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.